Re: [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device

2 messages, 2 authors, 2017-11-06 · open the first message on its own page

Re: [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device

From: Daniel Borkmann <daniel@iogearbox.net>
Date: 2017-09-07 09:20:24

On 09/07/2017 10:19 AM, naresh.kamboju@linaro.org wrote:
From: Naresh Kamboju <redacted>

on ARM and ARM64 devices kernel source tree is not available so
insmod "$SRC_TREE/lib/test_bpf.ko" is not working.

on these target devices the test_bpf.ko is installed under
/lib/modules/`uname -r`/kernel/lib/
so use modprobe dry run to check for missing test_bpf.ko module and
insert for testing.

Signed-off-by: Naresh Kamboju <redacted>
Acked-by: Daniel Borkmann <daniel@iogearbox.net>

One really small nit that could probably be fixed up along the
way when applying:
quoted hunk
---
  tools/testing/selftests/bpf/test_kmod.sh | 10 ++++++++++
  1 file changed, 10 insertions(+)
diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index a53eb1cb54ef..eab9a970d742 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -14,6 +14,16 @@ test_run()
  		if [ $? -ne 0 ]; then
  			rc=1
  		fi
+	 else
Looks like a whitespace slipped in right before the "else",
so should be removed to only habe the tab indent.
+		# Use modprobe dry run to check for missing test_bpf module
+		if ! /sbin/modprobe -q -n test_bpf; then
+			echo "test_bpf: [SKIP]"
+		elif /sbin/modprobe -q test_bpf; then
+			echo "test_bpf: ok"
+		else
+			echo "test_bpf: [FAIL]"
+			rc=1
+		fi
  	fi
  	rmmod  test_bpf 2> /dev/null
  	dmesg | grep FAIL

Re: [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device

From: Naresh Kamboju <hidden>
Date: 2017-11-06 15:08:12

On 7 September 2017 at 14:50, Daniel Borkmann [off-list ref] wrote:
On 09/07/2017 10:19 AM, naresh.kamboju@linaro.org wrote:
quoted
From: Naresh Kamboju <redacted>

on ARM and ARM64 devices kernel source tree is not available so
insmod "$SRC_TREE/lib/test_bpf.ko" is not working.

on these target devices the test_bpf.ko is installed under
/lib/modules/`uname -r`/kernel/lib/
so use modprobe dry run to check for missing test_bpf.ko module and
insert for testing.

Signed-off-by: Naresh Kamboju <redacted>

Acked-by: Daniel Borkmann <daniel@iogearbox.net>

One really small nit that could probably be fixed up along the
way when applying:
Sorry for that.
quoted
---
  tools/testing/selftests/bpf/test_kmod.sh | 10 ++++++++++
  1 file changed, 10 insertions(+)
diff --git a/tools/testing/selftests/bpf/test_kmod.sh
b/tools/testing/selftests/bpf/test_kmod.sh
index a53eb1cb54ef..eab9a970d742 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -14,6 +14,16 @@ test_run()
                if [ $? -ne 0 ]; then
                        rc=1
                fi
+        else

Looks like a whitespace slipped in right before the "else",
so should be removed to only habe the tab indent.
Would it be a good idea to send v3 patch with right indent ?

- Naresh
quoted
+               # Use modprobe dry run to check for missing test_bpf
module
+               if ! /sbin/modprobe -q -n test_bpf; then
+                       echo "test_bpf: [SKIP]"
+               elif /sbin/modprobe -q test_bpf; then
+                       echo "test_bpf: ok"
+               else
+                       echo "test_bpf: [FAIL]"
+                       rc=1
+               fi
        fi
        rmmod  test_bpf 2> /dev/null
        dmesg | grep FAIL
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help